MSCEWI4003

Encrypted with not supported in Snowflake.

Severity

Low

Description

This warning is added when there is an ENCRYPTED WITH used in a Column Definition. Since this is not supported in Snowflake, it is being removed and a warning is added.

Code Example

Input Code:

CREATE TABLE [SCHEMA1].[TABLE1] (
[COL1] NVARCHAR(60)
ENCRYPTED WITH (
COLUMN_ENCRYPTION_KEY = MyCEK,
ENCRYPTION_TYPE = RANDOMIZED,
ALGORITHM = 'AEAD_AES_256_CBC_HMAC_SHA_256'
)
);

Output Code:

CREATE TABLE "SCHEMA1"."TABLE1" (
"COL1" NVARCHAR(60)
-- ** MSC-WARNING - MSCEWI4003 - ENCRYPTED WITH NOT SUPPORTED IN SNOWFLAKE **
--ENCRYPTED WITH (COLUMN_ENCRYPTION_KEY EQUALS MyCEK,
--ENCRYPTION_TYPE EQUALS RANDOMIZED, ALGORITHM EQUALS 'AEAD_AES_256_CBC_HMAC_SHA_256'
--)
);

Recommendations

  • No additional user actions are required.

  • For more support, you can email us at [email protected] or post a message to our forums. If you have a contract for support with Mobilize.Net, reach out to your sales engineer and they can direct your support needs.